<bugID>1008730<Summary>Customization palette doesn't obey High Contrast settings</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:29.0) Gecko/20100101 Firefox/29.0 (Beta/Release)
Build ID: 20140506152807

Steps to reproduce:

Open Windows 7 Display colour settings.
Select the Window object and change font colour to white and background to black.
Right click on the FF menu bar.
Click on Customize.


Actual results:

In the left hand page only icons are visible. Text associated with the icons is not visible.


Expected results:

Please see W3C WAI Accessibility Guideline F24 for a full description of the problem:
http://www.w3.org/TR/WCAG-TECHS/F24.html

Do not test with the Windows High Contrast themes. These themes are not usable in the wrold world since they also strip out graphics and navigation objects. They also, somehow, sometimes resolve this problem and change colours on the fly.

For a fuller test go through all Windows objects and change all font/background settings to white on black. To aid troubleshooting it can help to use unusual colours such as lime green text on a red background - such colours make it easier to see which colours have not been set in the user interface and which have defaulted to the OS colour settings.

It is also impossible to see the text on Tabs too.</Description></bugID>